open Types

let debug map packagedb robotdb =
  prerr_string "\027[0;0H";
  let width, height = map#width, map#height in
  let mapstring = String.copy map#mapstring in
  List.iter (fun p ->
    String.set mapstring ((width + 2) * p.dest_y + p.dest_x) 'd')
    (packagedb#known ());
  robotdb#iter (fun id r -> String.set mapstring ((width + 2) * r#y + r#x) r#symbol);
  for i = 0 to height + 1 do
    Printf.fprintf stderr "%s\n" (String.sub mapstring (i * (width + 2)) (width + 2))
  done;
  flush stderr
